---
##
## Ceci est le fichier de config générique pour mkdocs
##
## **Si c'est absolument nécessaire**, il est possible d'écraser
## cette config générique en ajoutant un fichier `portal/mkdocs.yml`
## dans le dépot du projet client.
##
## Attention: ce fichier sera recopié dans le dossier
## '$(DALIDOC_BUILD_DIR)/_mkdocs/'
##
## La configuration se fera à partir de ce dossier.
##

site_name: Portail DALIBO
site_description: Votre espace privé de livraison
site_author: Dalibo
copyright: © Dalibo 2005-2025

# emplacement des fichiers source de mkdocs
# Attention on utilise les fichiers markdown prétraités (suffixe *.markdown)
docs_dir: .


# emplacement relatif à la position du fichier mkdocs.yml
site_dir: ../_site

nav:
  - "Accueil": index.md

theme:
  name: material
  # Chemin relatif au fichier de config
  custom_dir: ../dalidoc/portal/overrides
  # Chemin relatif au dossier docs_dir
  logo: docs/assets/logo-dalibo-blanc.png
  # Chemin relatif au dossier docs_dir
  favicon: docs/assets/favicon.ico
  language: fr
  navigation_depth: 1
  features:
    - content.code.copy
    - navigation.instant
    - navigation.path
    - navigation.tabs
    - navigation.tabs.sticky
    - navigation.top
    - navigation.tracking
    # - navigation.indexes   # incompatible avec toc.integrate
    - search.suggest
    - search.highlight
    - search.share
    - toc.follow
    #    - toc.integrate # table des matières dans la barre de gauche

  # https://squidfunk.github.io/mkdocs-material/setup/changing-the-colors/#color-palette-toggle
  palette:
    - scheme: default
      toggle:
        icon: material/brightness-7
        name: Passer en mode sombre

    - scheme: slate
      toggle:
        icon: material/brightness-4
        name: Passer en mode clair

plugins:
  - search:
      lang: fr

extra_css:
  - assets/dalibo.css

markdown_extensions:
  - footnotes
  - admonition
  - attr_list
  - md_in_html
  - sane_lists
  - smarty
  - toc:
      permalink: true
  - wikilinks
  - pymdownx.details
  - pymdownx.emoji:
      emoji_index: !!python/name:material.extensions.emoji.twemoji
      emoji_generator: !!python/name:material.extensions.emoji.to_svg
  - pymdownx.highlight:
      anchor_linenums: true
      line_spans: __span
      pygments_lang_class: true
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.striphtml
  - pymdownx.superfences
  - pymdownx.tabbed:
      alternate_style: true
  - tables
